LinuxStat 2.x - Remote Directory Traversal Vulnerability

2004-10-25T00:00:00
ID EDB-ID:24703
Type exploitdb
Reporter anonymous
Modified 2004-10-25T00:00:00

Description

LinuxStat 2.x Remote Directory Traversal Vulnerability. CVE-2004-2640. Webapps exploit for cgi platform

                                        
                                            source: http://www.securityfocus.com/bid/11517/info

It is reported that LinuxStat is vulnerable to a directory traversal vulnerability. This issue is due to a failure of the application to properly sanitize user-supplied input.

By including '../' directory traversal sequences in the affected URI argument, attackers may reportedly cause the contents of arbitrary, potentially sensitive web-server readable files to be included in the output of the requested page. The resulting information disclosure may aid malicious users in further attacks.

Versions prior to 2.3.1 are reported to be affected by this vulnerability.

http://www.example.com/lstat/lstat.cgi?obj=wg104&template=../../../../../../../../etc/passwd&from=-1m&to=now